Loading...
Searching...
No Matches
itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder > Class Template Reference

`#include <itkBSplineSecondOrderDerivativeKernelFunction2.h>`

## Detailed Description

template<unsigned int VSplineOrder = 3>
class itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >

Derivative of a B-spline kernel used for density estimation and nonparametric regression.

This class encapsulates the derivative of a B-spline kernel for density estimation or nonparametric regression. See documentation for KernelFunction for more details.

This class is templated over the spline order.

Warning
  Evaluate is only implemented for spline order 1 to 4

See also
  KernelFunction

Definition at line 44 of file itkBSplineSecondOrderDerivativeKernelFunction2.h.

Inheritance diagram for itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >:
[legend]

## Data Structures

struct | Dispatch
struct | DispatchBase

## Public Types

using | Pointer = SmartPointer<Self>
using | Self = BSplineSecondOrderDerivativeKernelFunction2
using | Superclass = KernelFunctionBase<double>

## Public Member Functions

double | Evaluate (const double &u) const override
void | Evaluate (const double u, double *weights) const
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (BSplineSecondOrderDerivativeKernelFunction2)
| itkStaticConstMacro (SplineOrder, unsigned int, VSplineOrder)

## Static Public Member Functions

static double | FastEvaluate (const double u)
static void | FastEvaluate (const double u, double *const weights)
static Pointer | New ()

## Protected Member Functions

| BSplineSecondOrderDerivativeKernelFunction2 ()=default
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~BSplineSecondOrderDerivativeKernelFunction2 () override=default

## Static Private Member Functions

static double | Evaluate (const Dispatch< 2 > &, const double u)
static void | Evaluate (const Dispatch< 2 > &, const double, double *weights)
static double | Evaluate (const Dispatch< 3 > &, const double u)
static void | Evaluate (const Dispatch< 3 > &, const double u, double *weights)
static double | Evaluate (const DispatchBase &, const double)
static void | Evaluate (const DispatchBase &, const double, double *)

## Member Typedef Documentation

## Pointer

template<unsigned int VSplineOrder = 3>

using itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::Pointer = SmartPointer<Self>

Definition at line 52 of file itkBSplineSecondOrderDerivativeKernelFunction2.h.

## Self

template<unsigned int VSplineOrder = 3>

using itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::Self = BSplineSecondOrderDerivativeKernelFunction2

Standard class typedefs.

Definition at line 50 of file itkBSplineSecondOrderDerivativeKernelFunction2.h.

## Superclass

template<unsigned int VSplineOrder = 3>

using itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::Superclass = KernelFunctionBase<double>

Definition at line 51 of file itkBSplineSecondOrderDerivativeKernelFunction2.h.

## Constructor & Destructor Documentation

## BSplineSecondOrderDerivativeKernelFunction2()

template<unsigned int VSplineOrder = 3>

itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::BSplineSecondOrderDerivativeKernelFunction2 | ( |  | ) |

protected default

## ~BSplineSecondOrderDerivativeKernelFunction2()

template<unsigned int VSplineOrder = 3>

itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::~BSplineSecondOrderDerivativeKernelFunction2 | ( |  | ) |

override protected default

## Member Function Documentation

## Evaluate() [1/8]

template<unsigned int VSplineOrder = 3>

double itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::Evaluate | ( | const Dispatch< 2 > & | ,
|  | const double | u )

inline static private

Zeroth order spline. First order spline Second order spline.

Definition at line 125 of file itkBSplineSecondOrderDerivativeKernelFunction2.h.

## Evaluate() [2/8]

template<unsigned int VSplineOrder = 3>

void itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::Evaluate | ( | const Dispatch< 2 > & | ,
|  | const double | ,
|  | double * | weights )

inline static private

Definition at line 153 of file itkBSplineSecondOrderDerivativeKernelFunction2.h.

## Evaluate() [3/8]

template<unsigned int VSplineOrder = 3>

double itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::Evaluate | ( | const Dispatch< 3 > & | ,
|  | const double | u )

inline static private

Third order spline.

Definition at line 163 of file itkBSplineSecondOrderDerivativeKernelFunction2.h.

## Evaluate() [4/8]

template<unsigned int VSplineOrder = 3>

void itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::Evaluate | ( | const Dispatch< 3 > & | ,
|  | const double | u,
|  | double * | weights )

inline static private

Definition at line 183 of file itkBSplineSecondOrderDerivativeKernelFunction2.h.

## Evaluate() [5/8]

template<unsigned int VSplineOrder = 3>

double itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::Evaluate | ( | const DispatchBase & | ,
|  | const double | )

inline static private

Unimplemented spline order

Definition at line 194 of file itkBSplineSecondOrderDerivativeKernelFunction2.h.

## Evaluate() [6/8]

template<unsigned int VSplineOrder = 3>

void itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::Evaluate | ( | const DispatchBase & | ,
|  | const double | ,
|  | double * | )

inline static private

Definition at line 201 of file itkBSplineSecondOrderDerivativeKernelFunction2.h.

## Evaluate() [7/8]

template<unsigned int VSplineOrder = 3>

double itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::Evaluate | ( | const double & | u | ) | const

inline override

Evaluate the function.

Definition at line 83 of file itkBSplineSecondOrderDerivativeKernelFunction2.h.

## Evaluate() [8/8]

template<unsigned int VSplineOrder = 3>

void itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::Evaluate | ( | const double | u,
|  | double * | weights ) const

inline

Evaluate the function.

Definition at line 91 of file itkBSplineSecondOrderDerivativeKernelFunction2.h.

## FastEvaluate() [1/2]

template<unsigned int VSplineOrder = 3>

double itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::FastEvaluate | ( | const double | u | ) |

inline static

Evaluate the function. Faster than the corresponding public Evaluate member function, because it is static (whereas this Evaluate member function is virtual).

Definition at line 66 of file itkBSplineSecondOrderDerivativeKernelFunction2.h.

## FastEvaluate() [2/2]

template<unsigned int VSplineOrder = 3>

void itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::FastEvaluate | ( | const double | u,
|  | double *const | weights )

inline static

Evaluate the function. Faster than the corresponding public Evaluate member function, because it is static, so it does not require the creation of a BSplineSecondOrderDerivativeKernelFunction2 object.

Definition at line 75 of file itkBSplineSecondOrderDerivativeKernelFunction2.h.

## GetClassName()

template<unsigned int VSplineOrder = 3>

virtual const char * itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

## ITK_DISALLOW_COPY_AND_MOVE()

template<unsigned int VSplineOrder = 3>

itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::ITK_DISALLOW_COPY_AND_MOVE | ( | BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder > |  | ) |

## itkStaticConstMacro()

template<unsigned int VSplineOrder = 3>

itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::itkStaticConstMacro | ( | SplineOrder | ,
|  | unsigned int | ,
|  | VSplineOrder | )

Enum of for spline order.

## New()

template<unsigned int VSplineOrder = 3>

Pointer itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::New | ( |  | ) |

static

Method for creation through the object factory.

## PrintSelf()

template<unsigned int VSplineOrder = 3>

void itk::BSplineSecondOrderDerivativeKernelFunction2< VSplineOrder >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

inline override protected

Definition at line 102 of file itkBSplineSecondOrderDerivativeKernelFunction2.h.

Generated on 1768596610 for elastix by 1.15.0 |